package stackjava.com.demojdbc.preparedstatement;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import stackjava.com.demojdbc.entities.User;

public class InsertRow {
	public static void main(String[] args) throws SQLException, ClassNotFoundException {
		Class.forName("com.mysql.jdbc.Driver");
		Connection con = DriverManager.getConnection("jdbc:mysql://localhost:3306/demo-jdbc", "root", "admin1234");
		
		String sql = "INSERT INTO user_info (name, address) VALUES (?, ?);";
		List<User> listUser = new ArrayList<User>();
		listUser.add(new User("Harry", "England"));
		listUser.add(new User("Batman", "USA"));

		PreparedStatement pstmt = con.prepareStatement(sql);
		for (User user : listUser) {
			pstmt.setString(1, user.getName());
			pstmt.setString(2, user.getAddress());
			pstmt.execute();
		}
		con.close();
		System.out.println("Inserted!");
	}
}
