package stackjava.com.demojdbc.callablestatement;

import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;

public class CallStoredProcedures {
	public static void main(String[] args) throws SQLException, ClassNotFoundException {
		System.out.println("Call Stored Procedures: ");
		Class.forName("com.mysql.jdbc.Driver");
		Connection con = DriverManager.getConnection("jdbc:mysql://localhost:3306/demo-jdbc", "root", "admin1234");
		String sql = "CALL getUserById(?);";
		CallableStatement cs = con.prepareCall(sql);
		cs.setInt(1, 1);
		cs.executeQuery();
		ResultSet rs = cs.getResultSet();
		while (rs.next()) {
			System.out.println(rs.getInt(1) + "  " + rs.getString(2) + "  " + rs.getString(3));
		}
		con.close();
	}
}
